---
sidebar_position: 7
---

# Docs Site 📝

This template is for a documentation site (with light and dark mode included).

:::info
Fun fact: We built this site ([cli.vgv.dev][home_link]) from this template!
:::

## Docs Site Features ✨

This template is powered by [Docusaurus][docusaurus_link] and comes with the following features:

- **Dark Mode** - Ships with site-wide light and dark mode

- **Customizable Homepage** - Customize your homepage with React components

- **Easy Theming** - Reflect your branding with custom CSS and theming

- **Markdown Files** - Each page is a Markdown file that makes it easy to display code snippets and text

- **Edit Button** - Easily manage documentation edits via the "Edit this page" link that comes with each page

- **Built-In Nav** - Comes with top-level site navigation and nested sidebar navigation for interior pages

## Getting Started 🚀

```sh
# Create a new docs site
very_good create my_docs_site -t docs_site
```

## Preview 📝

### Homepage

![Very Good Docs][docs_light]

### Homepage (Dark Mode)

![Very Good Docs Dark][docs_dark]

### Docs Overview

![Very Good Docs Overview][docs_light_overview]

### Docs Overview (Dark Mode)

![Very Good Docs Overview Dark][docs_dark_overview]

[docs_light]: /img/docs_light.png
[docs_light_overview]: /img/docs_overview_light.png
[docs_dark]: /img/docs_dark.png
[docs_dark_overview]: /img/docs_overview_dark.png
[docusaurus_link]: https://docusaurus.io/
[home_link]: /
